20.09.2007
    3.0.9.947
                [исп] отображение  данных в модуле "Сим-редактор", если размер seem меньше 16 байт.
                [исп] исправления в модуле "Редактор меню": модуль переделан заново,
                      должен работать правильно, позволяет редактировать различные параметры
                      пункта меню, котрых не было в прошлой версии.
                [доб] появилась возможность автоматического определения версии протокола
                      в P2K режиме. Теперь нет необходимости указывать тип протокола P2K
                      вручную.
                [исп] исправлено поведение отображения состояния прогресса получения
                      списка файлов текущего диска
                [доб] добавлена возможность выбирать в настройках программы необходимый
                      файл скрытых настроек из выпадающего списка
                [исп] исправлена опция "Автоопределение телефона" в общих настройках:
                      при снятой галки, некотрые параметры все равно использовали автоопределение
                      (OBEXType)
                [исп] исправления в процедуре восстановления справочника, имеющего формат
                      "1 - расширенный (ROKR E1, L7 ...)"
                [доб] добавлена поддержка редактирования сетевых меток для телефона K3 и других,
                      имеющих такой же формат данных. Программа должна автоматически определять
                      тип файла с сетевыми метками.

31.07.2007
    3.0.8.864
                [исп] исправления в модуле "Скрытые настройки": иногда заносились значения в seem,
                      не соответствующие установленным функциям.
                [доб] модуль "P2K Информация":
                         отображает информаци о телефоне в p2k режиме,
                         выводит более расширенную информацию чем в АТ режиме
                [доб] модуль "Мое меню и Сетевые метки":
                         позволяет создавать/редактировать/удалять метки для меню
                         и сетевые метки, а так же зная номер функции в телефоне
                         (для профессионалов, определяется в коде прошивки), можно указать
                         этот номер для "быстрого" пункта меню.
                [исп] исправлены некотрые ошибки, возникающие при работе со справочником
                      типа L7e, V3x и более новых, имеющих несколько номеров на одну запись:
                         - типы номеров "мобилный" и "рабочий" не путаются друг с другом
                         - если День Рождения не указан, то не проставляется текущая дата
                         - теперь не записываются пустые поля для почтовых адресов, что приводило к вылету из справочника при просмотре
                         - теперь верно указываются типы e-mail адресов
                         - теперь не путаются местами в почтовом адресе "улица 1" и "улица 2"
                         - названия столбцов больше не содержат "%s"
                [доб] модуль "Repair Rainbow POG":
                         позволяет восстановить телефоны, такие как V3x, E770, после неудачного снятия
                         RSA с прошивки, либо при неудачном применении патча, тогда, когда телефон
                         определяется компьютером только с использованием Test Point;
                         позволяет в Blank-режиме стереть самое начало CG1;
                         позволяет снять RSA на v3x, e770;
                         позволяет работать с памятью на 3G телефонах в Blank-режиме:
                         т.е. скачать и закачать зоны BOOT и PDS, или любой другой участок памяти
                         в диапазоне 0x10000000 - 0x12000000 (полезно создателям патчей)
                [доб] модуль "Резервные копии":
                         позволяет создавать резервные копии памяти телефона (выбрнные кодовые группы),
                         сохранять резервные копии в форматах shx, sbf, smg, mbf.
                [доб] модуль "Прошивки":
                         делает разбор файлов shx, sbf на кодовые группы;
                         позволяет сохранять указанные CG в файлы smg + файл заголовка hmg,
                         из которых потом можно собрать shx, sbf, mbf;
                         позволяет прошивать shx или sbf полностью, либо только указанные группы;
                         позволяет добавлять/удалять/заменять CG в прошивках;
                [доб] модуль "Flash-терминал" - аналог RamLdr от Vilko, выполняет все те же действия, только чуть проще в использовании.
                [доб] поддержка Flash-режима

15.06.2007
    3.0.7.759
                [исп] исправлена работа с протоколом p2k05.
                
13.06.2007
    3.0.7.729
                [исп] ускорено отображение окна настроек программы.
                [исп] ускорено изменение размеров окна.
                [доб] добавленна поддержка нового протокола P2K05.
                      Поддерживаемые телефоны: E2, V3xx, V6 Maxx, K3 и другие новые.
                [доб] модуль "Сообщения" - позволяет просматривать сообщения телефона (входящие, исходящие, черновики),
                      удалять выбранные сообщения.
                      Отправлять сообщения на указанный номер.
                      Сохранять сообщения для отправки в папке исходящие со статусом "не отправлено".
                      Создает архив входящих сообщение в файл.
                [исп] создание и восстановление резервных копий справочника
                      для старых моделей телефона (еще необходимо более полное тестирование).
                [доб] модуль "Ежедневник" - позволяет редактировать события в календаре телефона.
                      Теоретически поддерживаются все модели.
                      В этой версии впервые появились возможности:
                        создание резервных копий,
                        восстановление резервных копий.
                      Формат файла резервных копий аналогичен формату файла MPT старых версий (ниже 4.х)  
                [доб] модуль "Будильник" - позволяет реадктировать будильники телефона.
                      Поддержка старых моделей (до L7e, v3x, k1, z3, v3xx, v6maxx, z6, k3 и т.д.)
                      поддерживается полностью, в т.ч. и выбор мелодии.
                      Для новых моделей выбор мелодии не поддерживается.
                [доб] Возможность выбора режима, когда вкладки с названием модулей
                      отображаются на нескольких строках.
                [доб] Возможность выбора режима, когда вкладки не отображаются,
                      а отображается слева панель с кнопками выбора режимов (как в старых версиях, например P2KTools 0.8.6)          
                [исп] В P2K режиме в "Менеджер файлов" исправлена выбор нескольких файлов при загрузке в телефон.
                [исп] Исправлены процедуры подключения телефона в АТ и OBEX режимах под новые драйвера.
                      
08.05.2007
    3.0.4.545
                [доб] модуль "Редактор меню" - позволяет редактировать файлы mma_ucp
                      как в телефоне напрямую, так и из файла
                      Поддерживаются "старые" mma_ucp и "новые" mma_ucp (новые модели телефонов, НО НЕ ВСЕ!!!)
                [исп] мелкие изменения в коде
                [исп] отображение файлов без расширения в окне выбора файлов
                [исп] в FileManeger: отображение атрибуто файлов в окне "подробно" для файлов, имеющих численный
                      атрибут > 8
                [исп] добавление и редактирование телефонных номеров для справочников нового типа
                      (не рекомендуется создавать новую запись и заполнять только e-mail или url-адрес, может работать некорректно) 
                [исп] работа с WebSession для L7e и других новых телефонов
                      
    
22.02.2007
    3.0.3.435
                [исп] очень моного исправлений
                [доб] возможность указывать имя файла скрытых настроек для P2K режима
                [исп] после закачки файлов в P2K режиме они не отображались в списке
                [доб] в P2K режиме в модуле "Файловый менеджер" при обновлении списка файлов
                      выделение в дереве каталогов остается на том же месте.
                [доб] возможность сворачивания программы в Tray
                [доб] модуль "Стили звонка"
                      Замечание: на телефонах, на которых нет файлов MyToneDB.db и TempToneDB.db
                      этот модуль может работать не правильно, т.к. изменился метод сортировки файлов
                      мелодий в телефоне. Возможно будет работать при отсутствии в телефоне всех стандартных
                      (преустановленных) мелодий.
                [доб] модуль "Веб сессии"
                [доб] автоматическое определение параметров по платформе телефона
                      (тип справочника, версия OBEX и т.д.) 
                [доб] поддержка скинов
                [доб] модуль "Редактор звука" для редактирования параметров громкости динамиков и микрофонов.
                      Поддержка телефонов, имеющих файлы param_table.bin и gain_table.bin       
                [доб] поддержка мультиязычности
                [доб] иконки вынесены из программы в папку и подгружаются при запуске программы, теперь можно менять                       все иконки в программе на свои
                [доб] модуль "Информация" в АТ режиме: отображение информации телефона, синхронизация
                      времени с компьютером
                [исп] при редактировании записей sim карты не отображался текущий номер в списке выбора
                      номера быстрого набора (поле было пустое).
                [исп] в Справочнике для старого типа записной книги при выборе в дереве категорий "Телефон"
                      и "General" в список абонентов попадали записи с сим-карты.
    
02.02.2007
    3.0.2.260
		[доб] скрытая опция в ini файле ClassicSysMenu меняет вид окна, если 0 - то окно с заголовком
		      как в Office 2007, если 1 - то стандартное окно
		[доб] скрытая опция в ini файле ShowWindowContent влияет на отображение содержимого окна
		      при перетаскивании и изменении размеров: 0 - содержимое не отображается,
		      																				 1 - содержимое отображается.
		[исп] много изменений и исправлений в коде модуля "Справочник".
		      Стало значительно меньше использование памяти для буфера хранения 
		      всех записей справочника.
		[доб] поддержка создания и восстановления резервных копий для телефонов с новым
		      типом справочника: 
		         - возможность сохранить и восстановить данные в формате MPT
		         - возможность сохранения и восстановления данных в собственном формате
		           с поддержкой восстановления мелодий и картинок

31.01.2007
    3.0.2.235   
                [исп] чтение телефонного справочника для моделей, имеющих расширенную телефонную книгу
                      (e1, перешитый е398, v535, L6, L7, v620...)
                [доб] отображение модели телефона во всех режимах
                [доб] если телефон находиться в p2k режиме, то при переключении в АТ или OBEX режим
                      раньше программа не могла переключиться. Теперь программа узнает, что телефон
                      в P2K режиме и переключает его в нужный (AT или OBEX) режим.
                [доб] если телефон находиться в режиме флешки, то при переключении в любой режим режим флешки отключается.
                
29.01.2007
    3.0.2.229   
                [доб] создание и редактирование абонентов, есть редактирования справочника телефонов
                      (v3x, l7e, krzr k1, rizr z3...)
                [доб] отображение всех доступных свойств контакта для всех видов справочников 
                      в окне редактирования контакта
                [доб] удаление контактов для справочников с новой структурой (v3x, l7e, krzr k1, rizr z3...)
                [исп] в p2k режиме не создавались директоии. Теперь создаются.
  
22.01.2007
    3.0.197
                [доб] добавлена поддержка телефонной книги для телефонов L7e, RIZR Z3, KRZK K1, V3x и других,
                      имеющих новую телефонную книгу. Работает пока только чтение справочника.

20.01.2007
    3.0.185
                [доб] добавлена поддержка телефонной книги для телефонов Е1 (перешитого е398 в е1),
                      V535, L7 и других
    
19.01.2007
    3.0.170     
                [обн] немного обновлен othear_features.csv (обновил MerlKory)
                [исп] исправлено чтение всех дисков кроме диска /b (при закрытии программа вылетала с ошибками)
                [исп] отключение OBEX режима на новых моделях (новая версия протокола)
                [исп] при скачиваниипапки целиком в p2k режиме сбрасывались атрибуты файлов
                [исп] чтение симов для L7e и других новых моделей, увеличин размер буфера. Раньше
                      размер сима был меньше 4Кб, теперь есть больше.
                [доб] добавлен в настройках параметр для отображения прогресса для OBEX режима
                [доб] добавлен параметр "Задержка при переключении между режимами". Если телефон плохо переключается
                                       из режима в режим - можно попробовать увеличить параметр
                [доб] добавлен диск /e в настройках P2K режима (для V3x, V3xx ...)                      
                                       
16-01-2007
    3.0.1.148
                [доб] скачивание, закачивание, удаление файлов в OBEX режиме для L7, L7e и других, у кого изменен 		      протокол
                [исп] закачивание файлов в p2k режиме (теперь программа не вылетает)
                [исп] переключение в P2K режим (ошибка не возникает)

15-01-2007
    3.0.1.145
                [доб] обновление списка файлов в OBEX режиме для L7, L7e и других, у кого изменен протокол

14-01-2007
    3.0.1.137
                [доб] поддержка L7e и ему подобных, которые работать раньше не хотели
                [доб] поддержка нового протокола P2K05 (идет тестирование)
                 
13-01-2007
	  3.0.1.119
	  	[доб] справочник в АТ режиме:
	  		чтение, удаление, редактирование, добавление абонентов;
	  		чтение, удаление, редактирование, добавление категорий;
	  		горячие клавиши: F5 - обновить, Ins - добавить, Del - удалить,
	  																		 Ctrl+A - выделить все, Ctrl+S - сделать бакап,
	  																		 Ctrl+R - восстановить бакап
	  	[доб] Drag & Drop в файловых менеджерах OBEX и P2K режимов,
	  	      горячие клавиши: F5 - обновить, Ctrl+A - выделить все, Del - удалить 
	  	[доб] различные настройки для режимов      												 	

10-01-2007
    3.0.0.92   
                [доб]   файловый менеджер в OBEX режиме
                        (еще работает не очень стабильно при закачивании группы файлов) 
                [исп]   четкое переключение из режима в режим  
	   
29-12-2006
    3.0.0.83
		[доб] 	добавлен новый режим Obex

28-12-2006
    3.0.0.79
		[исп]   исправлена процедура создания папок
		[доб] 	создана кнопка "все бесшумные"

27-12-2006
    3.0.0.77
		[исп]   исправлена процедура создания папок
		[доб] 	создана кнопка "все бесшумные"

26-12-2006
    3.0.0.67
		[доб]   чтение Other Features
		[доб] 	запись Other Features
		[доб] !!! Поддержка 3G моделей

25-12-2006
    3.0.0.53
	  [доб] скачивание целой (выделенной директории) с поддиректориями
	  [доб] нормальная сортировка по размеру
	  [доб] отображение размера файлов в виде плавающего значения (б, Кб, Мб)

24-12-2006
    3.0.0.48
	  [доб] закачка файлов - добавлено динамическое обновление списка файлов при закачке
	  [доб] удаление файлов - добавлено динамическое обновление списка файлов при удалении
	  [доб] проверка свободного пространства диска перед закачкой
	  [доб] создание папок (работает на телефона е398 и старше)
	  [доб] удаление папок (работает на телефона е398 и старше)
	  [доб] исправлено отображение типа файла и изображений типов файлов
	  [доб] отображение в статусе кол-ва файлов и свободного пространства, изменение этих значений при 
	      	закачке и удалении файлов
	  [доб] изменение атрибутов и динамическое их обновление в списке
	  [доб] отображение информации о файле при его выделении

    3.0.0.34
	  [доб] скачивание файлов
	  [доб] закачка файлов
	  [доб] удаление файлов

     3.0.0.21
	  [доб] работа с seem

     3.0.0.12
	  [доб] обновлен api по работе с телефоном

     3.0.0.1
	  [доб] начата разработка новой версии программы,
	      	полностью изменен интерфейс 